package cpcns.dingZhi.keJiAnJuan.service.impl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.dangAnBase.base.service.impl.DangAnBaseServiceImpl;
import cpcns.dingZhi.keJiAnJuan.dao.IKeJiAnJuanDao;
import cpcns.dingZhi.keJiAnJuan.model.keJiAnJuan;
import cpcns.dingZhi.keJiAnJuan.service.IKeJiAnJuanService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import java.util.HashMap;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("keJiAnJuanService")
public class KeJiAnJuanServiceImpl extends DangAnBaseServiceImpl<keJiAnJuan> implements IKeJiAnJuanService {
  @Autowired
  private IKeJiAnJuanDao keJiAnJuanDao;
  
  public PagerVO query_SQL(Integer start, Integer rows, String table, Map<String, Object> map, String orderbysql) throws Exception {
    Map<String, Object> tp = new HashMap<>();
    StringBuffer sql = (new StringBuffer(" select miJi,fenLeiHao,hangBiaoShi,quanZongHao,baoGuanQiXian,biaoTi,guiDangNianDu,dangHao,xuHao from ")).append(table).append(" where 1=1 and zhuangTai not in(:zhuangTai)");
    tp.put("zhuangTai", new String[] { "3", "4" });
    Object para = null;
    para = map.get("querystr");
    if (para != null && para != "") {
      Object menLei = map.get("menLei");
      if (menLei != null && menLei != "") {
        sql.append(" and menLei =:menLei");
        tp.put("menLei", menLei);
      } 
      CommStatic.zhuHeQueryJieXi_map(sql, tp, para.toString(), (String)map.get("zuHeType"), getDataType());
    } else {
      para = map.get("quanZongHao");
      if (para != null && para != "") {
        sql.append(" and quanZongHao=:quanZongHao");
        tp.put("quanZongHao", para);
      } 
      para = map.get("baoGuanQiXian");
      if (para != null && para != "") {
        sql.append(" and baoGuanQiXian=:baoGuanQiXian");
        tp.put("baoGuanQiXian", para);
      } 
      para = map.get("guiDangNianDu");
      if (para != null && para != "") {
        tp.put("guiDangNianDu", para);
        para = map.get("guiDangNianDu_Operator");
        if (para != null && para != "") {
          sql.append(" and guiDangNianDu ").append(para).append(":guiDangNianDu");
        } else {
          sql.append(" and guiDangNianDu ").append("=:guiDangNianDu");
        } 
      } 
      para = map.get("miJi");
      if (para != null && para != "") {
        sql.append(" and miJi=:miJi");
        tp.put("miJi", para);
      } 
      para = map.get("fenLeiHao");
      if (para != null && para != "") {
        sql.append(" and fenLeiHao=:fenLeiHao");
        tp.put("fenLeiHao", para);
      } 
      para = map.get("dangHao");
      if (para != null && para != "") {
        sql.append(" and dangHao like :dangHao");
        tp.put("dangHao", "%" + para + "%");
      } 
      para = map.get("xuHao");
      if (para != null && para != "") {
        sql.append(" and xuHao=:xuHao");
        tp.put("xuHao", para);
      } 
      para = map.get("biaoTi");
      if (para != null && para != "") {
        sql.append(" and biaoTi like :biaoTi");
        tp.put("biaoTi", "%" + para + "%");
      } 
    } 
    return this.keJiAnJuanDao.querySQL(start, rows, sql.toString(), tp, orderbysql);
  }
}
